Template (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.Template interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface Template

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  AppServerTemplate, ComputerSystemTemplate

    public interface Template

extends ModelObject

Naming Rules:
  0="name,type"
Persistable:
  true
Table Name:
  TEMPLATE
Display Name:
  name

Field Summary
`static int` | `TEMPLATE_ACTION_DISCOVER`
`static int` | `TEMPLATE_ACTION_IGNORE`
`static int[]` | `TEMPLATE_ACTIONS`
`static java.lang.String` | `TYPE_COMPUTERSYSTEM`
`static java.lang.String` | `TYPE_DATABASE`
`static java.lang.String` | `TYPE_J2EE_SERVER`
`static java.lang.String[]` | `TYPE_LIST_SOFTWARE`
`static java.lang.String[]` | `TYPE_LIST_SYSTEM`
`static java.lang.String` | `TYPE_OTHER_SERVER`
`static java.lang.String` | `TYPE_WEB_SERVER`

Method Summary
`int` | `getAction()`
`boolean` | `getEnabled()`
`FileCapture[]` | `getFileCaptureList()` Return a list of FileCapture objects
`FilterSet` | `getFilterSet()` Return the filter Set
`java.lang.String` | `getIconName()`
`int` | `getIndex()` Get the index
`boolean` | `getInternal()` Get if the template is an internal one
`java.lang.String` | `getName()` Get the name of this template
`int` | `getOrder()`
`java.lang.String` | `getSeedClass()`
`int` | `getSource()`
`java.lang.String` | `getTemplateActionClass()` Return a Template Match Action Class Name that will specify an action when a template is matched
`java.lang.String` | `getType()` Get the type of this template
`boolean` | `hasAction()`
`boolean` | `hasEnabled()`
`boolean` | `hasFileCaptureList()`
`boolean` | `hasFilterSet()`
`boolean` | `hasIconName()`
`boolean` | `hasIndex()`
`boolean` | `hasInternal()`
`boolean` | `hasName()`
`boolean` | `hasOrder()`
`boolean` | `hasSeedClass()`
`boolean` | `hasSource()`
`boolean` | `hasTemplateActionClass()`
`boolean` | `hasType()`
`void` | `setAction(int action)`
`void` | `setEnabled(boolean enabled)`
`void` | `setFileCaptureList(FileCapture[] cflist)` Set the Files to be captured
`void` | `setFilterSet(FilterSet filterSet)` Set the filter Set
`void` | `setIconName(java.lang.String string)`
`void` | `setIndex(int index)` Set the ordering of processing
`void` | `setInternal(boolean b)` Set the internal flag
`void` | `setName(java.lang.String Name)` Set the Name of this template
`void` | `setOrder(int order)` Sets the order.
`void` | `setSeedClass(java.lang.String cls)` Sets the seed class.
`void` | `setSource(int source)` Sets the source.
`void` | `setTemplateActionClass(java.lang.String actionClass)` Set the Action associated with the match of this template
`void` | `setType(java.lang.String type)` Set the type of this template

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### TYPE_WEB_SERVER

    static final java.lang.String TYPE_WEB_SERVER

See Also:
  Constant Field Values

### TYPE_J2EE_SERVER

    static final java.lang.String TYPE_J2EE_SERVER

See Also:
  Constant Field Values

### TYPE_DATABASE

    static final java.lang.String TYPE_DATABASE

See Also:
  Constant Field Values

### TYPE_OTHER_SERVER

    static final java.lang.String TYPE_OTHER_SERVER

See Also:
  Constant Field Values

### TYPE_COMPUTERSYSTEM

    static final java.lang.String TYPE_COMPUTERSYSTEM

See Also:
  Constant Field Values

### TYPE_LIST_SOFTWARE

    static final java.lang.String[] TYPE_LIST_SOFTWARE

### TYPE_LIST_SYSTEM

    static final java.lang.String[] TYPE_LIST_SYSTEM

### TEMPLATE_ACTION_IGNORE

    static final int TEMPLATE_ACTION_IGNORE

See Also:
  Constant Field Values

### TEMPLATE_ACTION_DISCOVER

    static final int TEMPLATE_ACTION_DISCOVER

See Also:
  Constant Field Values

### TEMPLATE_ACTIONS

    static final int[] TEMPLATE_ACTIONS

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Get the name of this template

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String Name)

  Set the Name of this template

  Parameters:
    `Name` -

### hasName

    boolean hasName()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Get the type of this template

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

  Set the type of this template

  Parameters:
    `type` -

### hasType

    boolean hasType()

### getInternal

    boolean getInternal()
                        throws AttributeNotSetException

  Get if the template is an internal one

  Returns:
    boolean
  Throws:
    `AttributeNotSetException`

### setInternal

    void setInternal(boolean b)

  Set the internal flag

  Parameters:
    `b` -

### hasInternal

    boolean hasInternal()

### getFilterSet

    FilterSet getFilterSet()
                           throws AttributeNotSetException

  Return the filter Set

  Returns:
    FilterSet
  Throws:
    `AttributeNotSetException`
  Table Name:
    TEMPLATE_FILTERSET
  Containment Relationship:
    true

### setFilterSet

    void setFilterSet(FilterSet filterSet)

  Set the filter Set

  Parameters:
    `filterSet` -

### hasFilterSet

    boolean hasFilterSet()

### getIndex

    int getIndex()
                 throws AttributeNotSetException

  Get the index

  Returns:
    int
  Throws:
    `AttributeNotSetException`

### setIndex

    void setIndex(int index)

  Set the ordering of processing

  Parameters:
    `index` -

### hasIndex

    boolean hasIndex()

### getOrder

    int getOrder()
                 throws AttributeNotSetException

  Returns:
    int
  Throws:
    `AttributeNotSetException`

### setOrder

    void setOrder(int order)

  Sets the order.

  Parameters:
    `order` - The order to set

### hasOrder

    boolean hasOrder()

### getFileCaptureList

    FileCapture[] getFileCaptureList()
                                     throws AttributeNotSetException

  Return a list of FileCapture objects

  Returns:
    ArrayList
  Throws:
    `AttributeNotSetException`
  Table Name:
    TEMPLATE_FILECAPTURELIST
  Containment Relationship:
    true

### setFileCaptureList

    void setFileCaptureList(FileCapture[] cflist)

  Set the Files to be captured

  Parameters:
    `cflist` -

### hasFileCaptureList

    boolean hasFileCaptureList()

### getEnabled

    boolean getEnabled()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnabled

    void setEnabled(boolean enabled)

### hasEnabled

    boolean hasEnabled()

### getAction

    int getAction()
                  throws AttributeNotSetException

  Returns:
    the Action
  Throws:
    `AttributeNotSetException`

### setAction

    void setAction(int action)

  Parameters:
    `action` - Sets the action

### hasAction

    boolean hasAction()

### getIconName

    java.lang.String getIconName()
                                 throws AttributeNotSetException

  Returns:
    Icon Name
  Throws:
    `AttributeNotSetException`

### setIconName

    void setIconName(java.lang.String string)

  Parameters:
    `string` -

### hasIconName

    boolean hasIconName()

### getSource

    int getSource()
                  throws AttributeNotSetException

  Returns:
    int
  Throws:
    `AttributeNotSetException`

### setSource

    void setSource(int source)

  Sets the source.

  Parameters:
    `source` - The source to set

### hasSource

    boolean hasSource()

### getSeedClass

    java.lang.String getSeedClass()
                                  throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setSeedClass

    void setSeedClass(java.lang.String cls)

  Sets the seed class.

  Parameters:
    `cls` - The seed class to set

### hasSeedClass

    boolean hasSeedClass()

### getTemplateActionClass

    java.lang.String getTemplateActionClass()
                                            throws AttributeNotSetException

  Return a Template Match Action Class Name that will specify an action when a template is matched

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setTemplateActionClass

    void setTemplateActionClass(java.lang.String actionClass)

  Set the Action associated with the match of this template

  Parameters:
    `actionClass` -

### hasTemplateActionClass

    boolean hasTemplateActionClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD